%define name tradeclient
%define version 0.7.8
%define realver 0.7.8-229
%define release	1mdk

Name:%{name} 
Summary: A graphical email/calendar application
Version: %{version}
Release: %{release}
License:GPL
Group:	Networking/Mail
Url: http://sourceforge.net/projects/tradeclient/
BuildRoot: %{_tmppath}/%{name}-buildroot
Source0: %{name}-%{realver}.tar.bz2
Patch: %{name}-makefile.patch.bz2
Requires: openldap 
Buildrequires: openldap-devel

%description
TradeClient is an LGPL'd subset of Bynari's TradeXCH client. It has support for a personal calendar, POP3, basic IMAP, SMTP, 
multiple mail folders, excellent multi-account (POP3 and IMAP) handling, MIME, message digests, and cool raytraced icons. 
It also has basic message filtering, nearly unlimited address books, LDAP support for a Global Address Book, raw document views, 
improved printing of todo's, emails, and calendar views, cut/paste, unlimited undo/redo, interactive spell checking, 
and a pop-up status window that keeps you up to date on what it's doing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{realver}

#%patch -p1

%build

make clean depend all

%install

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 tradeclient $RPM_BUILD_ROOT/%{_bindir}/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/tradeclient"\
title="Tradeclient"\
longtitle="Mail and PIM"\
needs="x11"\
section="Networking/Mail"
EOF
)
 
%post
%update_menus
 
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README CHANGELOG COPYING README
%{_bindir}/*
%{_menudir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8-1mdk
- updated to 0.7.8

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-3mdk
- disable optimizations

* Mon Oct 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-2mdk
- added requires and buildrequires

* Mon Oct 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- new in contribs
- patch to Makefile to enable optimize and open-ldap
